Subject: bug#20977: 24.5; Hi Lock Mode fails with "Invalid pattern list expression"

From: Raffaele Ricciardi <[email-masked]>
Date: Sun, 5 Jul 2015 12:52:40 +0200

On 04/07/15 16:46, Michael Heerdegen wrote:
> Raffaele Ricciardi <[email-masked]> writes:
>
>> emacs -Q
>> C-h f hi-lock-mode RET
>> C-x b *Help* RET
>> M-x hi-lock-mode RET
>>
>> Emacs says:
>>
>> Invalid pattern list expression at 60
> AFAIK this is not an error, just a message (that you can safely ignore).
> The mode is enabled nonetheless and should work as expected.
>
> Background: There is a feature that hi-lock-mode searches for pattern
> specifications of the kind
>
>    Hi-lock: FOO
>
> that define initial highlightings.
>
> Since the help buffer of `hi-lock-mode' explains this feature, it
> contains a match for the regexp searched for (namely "Hi-lock: FOO") but
> hi-lock-mode discards it because it is invalid (thus the message).  So
> this issue is only a coincidence appearing only in the help buffer of
> `hi-lock-mode'.  FWIW I can live with this message in this special case,
> though I agree that it is confusing.
>
>
> Michael.

I agree that this glitch is not worth fixing.  And if another user will
stumble upon it, he will find this discussion and understand what is
going on.

Thanks, Michael, for your assistance.